<?php
namespace Claromentis\Core\Config;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array();




class NullConfig implements WritableConfig
{
    public function has(string $key) : bool
    {
        return false;
    }
    public function get(string $key)
    {
        return null;
    }
    public function getAll() : array
    {
        return [];
    }
    public function set(string $key, $value) : void
    {
        
        
    }
    public function setMany(array $values) : void
    {
        
        
    }
    public function delete(string $key) : void
    {
        
        
    }
    public function save() : void
    {
        
        
    }
    public function canSet(string $key) : bool
    {
        return false;
    }
}